ZIP_ERROR_SYSTEM_TYPE(3) | Library Functions Manual | ZIP_ERROR_SYSTEM_TYPE(3)

# NAME

`zip_error_system_type` —
return type of system error

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_error_system_type`(const zip_error_t *ze);

# DESCRIPTION

The `zip_error_system_type`() function returns the type of the system specific part for the zip_error ze. Currently, the following system types are defined:

`ZIP_ET_NONE`
  System specific part of ze is unused.
`ZIP_ET_SYS`
  System specific part of ze is an errno(2).
`ZIP_ET_ZLIB`
  System specific part of ze is a zlib(3) error.

# SEE ALSO

libzip(3), zip_error_code_system(3)

# HISTORY

`zip_error_system_type`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35